<?php

//======================================================================================
//
// Creating an Interactive Information Screen in a Browser: Is It Possible?
// 
// Programmer: Jan
// Date      : 2012-06-09
//
// www.MCpressonline.com
//======================================================================================

//======================================================================================
// Input
//======================================================================================
	if (isset($_REQUEST["lng"]))		$lng	= $_REQUEST["lng"]; 	
	else $lng = 'eng';
	
	if (isset($_REQUEST["size"]))		$size	= $_REQUEST["size"]; 	
	else $size = 'b';	
	
//======================================================================================
// Check input
//======================================================================================

	// Language (eng,dan)
	if ( $lng <> 'eng' and $lng <> 'dan' ) {
		$lng = 'eng';
	}
	
	// Size (b=big, s=small)
	if ( $size <> 'b' and $size <> 's' ) {
		$size = 'b';
	}	
	
//======================================================================================
// Set language
//======================================================================================
	include "language/" . $lng . ".php";
	
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-loose.dtd">

<html>
<head>
<head>
<title><?php echo $title01 ?></title>
</head>

<script type="text/javascript" src="javascript/jquery-1.7.2.min.js"></script> 

<?php	
	
	// Load CCS file
	if ( $size == 's' ) {
		echo "<link REL=\"stylesheet\" href=\"css/main-small.css\" type=\"text/css\">";
	} else {
		echo "<link REL=\"stylesheet\" href=\"css/main-big.css\" type=\"text/css\">";	
	}

?>

<script language="JavaScript"> 
<!--		
//=====================================================================================
// Get System i data
//=====================================================================================
function getSystemiData()  { 	
	
			var parmData = "";
	
			$.ajax({
			url: "systemi-proxy.php",
			data: parmData,
			dataType: "xml",
			cache: false,			
			success: function(xml) {
			
				// Get time
				$(xml).find('data').each(function(){
					var thisDate = $(this).find('date').text();
					var thisTime = $(this).find('time').text();
					
					$("#systemi_currentDate").html(thisDate);
					$("#systemi_currentTime").html(thisTime);

				});		
				
					 
			},
				error:function (xhr, ajaxOptions, thrownError){		
			}
			
			});	
  	
	
}
	
//=====================================================================================
// Get MySQL as CSV
//=====================================================================================
function getCSVData()  { 	
	
			var parmData = "";
	
			$.ajax({
			url: "csv-get.php",
			data: parmData,
			dataType: "html",
			cache: false,			
			success: function(htmldata) {
			
			// Split data
			var string = htmldata.split(';');

			var htmlString 	= '<b>'
							+ string[0]
							+ '<?php echo $text03 ?>'
							+ string[1]
							+ '<br>'
							+ '<?php echo $text04 ?>'
							+ string[2]
							+ '</b>'
							;		
			
				// Show click infto
				$("#clickcount").html( htmlString );
				setInterval(function(){ClearTimerResult()},4000);
				
			},
				error:function (xhr, ajaxOptions, thrownError){		
			}
			
			});	
  	
	
}


//=====================================================================================
// Get MySQL data
//=====================================================================================
function getMySQLData()  { 	
	
			var parmData = "lng=<?php echo $lng ?>&size=<?php echo $size ?>";
	
			$.ajax({
			url: "mysql-get.php",
			data: parmData,
			dataType: "html",
			cache: false,			
			success: function(htmldata) {
			
				// Show click infto
				$("#clickoverview").html(htmldata);
				setInterval(function(){ClearTimerResult()},4000);
				
			},
				error:function (xhr, ajaxOptions, thrownError){		
			}
			
			});	
  	
	
}

//=====================================================================================
// Put MySQL data
//=====================================================================================
function putMySQLData()  { 	

			var parmData = "";
			
			var msg = '<?php echo $text09 ?>';
			// Save click infto
			$("#saveresult").html(msg);			
	
			$.ajax({
			url: "mysql-put.php",
			data: parmData,
			dataType: "html",
			cache: false,			
			success: function(htmldata) {


			},
				error:function (xhr, ajaxOptions, thrownError){		
			}
			
			});	
  	
	
}

//=====================================================================================
// Clear timer completion
//=====================================================================================
function ClearTimerResult()  { 	
	

			$("#saveresult").text('');

}	
	
//=====================================================================================
// jQuery loaded
//=====================================================================================
$(document).ready(function() { 
	
	// Set the table hight
	var h = $(window).height();
	var w = $(window).width();		
		
	$("#tabledata").height(h-70);
	
	// Handle resize of window
	$(window).resize(function() {
		var h = $(window).height();
		$("#tabledata").height(h-70);
	});
	
	// Get system i data when loading is done then set timer
	getSystemiData();
	getCSVData();
	getMySQLData();
	
	// Get system i data every 3 seconds
	systemi_timer = setInterval( 'getSystemiData(\'\')', 3000);
	
	// Get CSV data every 5 seconds
	mysql_timer = setInterval( 'getCSVData(\'\')', 5000);	
	
	// Get MySQL data every 7 seconds
	mysql_timer = setInterval( 'getMySQLData(\'\')', 7000);
	

});	

// --> 
</script>

</head>

<body>

<span class="header"><?php echo $header01 ?></span>
<hr>
<table id="tabledata" width="100%" height="500" border="0" cellpadding="5" cellspacing="0">

<tr class="headerbackground">
<td align="center" valign="top" height="30" width="33%">
<span class="subheader">System i data</span>
</td>

<td align="center" valign="top" width="33%">
<span class="subheader">CSV data</span>
</td>

<td align="center" valign="top">
<span class="subheader">MySQL data</span>
</td>
</tr>

<tr>
<td align="center" valign="top" width="33%" class="td_background_1">
<div class="clock" id="systemi_currentDate"></div>
<div class="clock" id="systemi_currentTime"></div>
</td>

<td align="center" valign="top" width="33%" class="td_background_2">
<div class="click" id="clickcount"></div>
</td>

<td align="center" valign="top" class="td_background_3">
<b><?php echo $text01 ?></b>
<hr>
<div class="clickoverview" id="clickoverview"></div>
</td>
</tr>

<tr class="headerbackground">
<td align="left" valign="top" height="30" width="33%">
<span class="subheader">systemi-proxy.php<br>systemi.php</span>
</td>

<td align="left" valign="top" width="33%">
<span class="subheader">csv-get.php</span>
</td>

<td align="left" valign="top">
<span class="subheader">mysql-get.php</span>
</td>
</tr>

<tr>
<td>
</td>
<td height="50" align="center">
<button class="saveButton" onClick="putMySQLData()"><?php echo $text02 ?></button>
</td>
<td align="right">
<span id="saveresult" class="save_class"></span	>
</td>
</tr>


</table>


</body>
</html>